## grib-api 1.14.3

=== debian/changelog ===
grib-api (1.14.3-1) unstable; urgency=medium

  * New upstream release
  * Switch to new ECMWF cmake-based buildsystem. Patches needed for 
    static libs, soname support.
  * Enable python-gribapi package.
  * Enable libaec support.
  * Use xz compression

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 30 Nov 2015 06:46:16 +0000

grib-api (1.13.1-3) unstable; urgency=medium

  * Rebuilt against gcc/gfortran 5 for transition. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 07 Aug 2015 21:20:25 +0100

grib-api (1.13.1-2) unstable; urgency=medium

  * Non-maintainer upload.
  * Move to version 1.13.1 needed by CDO.
  * Update homepage again.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 07 Aug 2015 21:20:01 +0100
